# Set-RASAdminAccount.md

## NAME

Set-RASAdminAccount

## SYNOPSIS

Modifies Parallels RAS administrator account settings.

## SYNTAX

**Set-RASAdminAccount** \[[Id](#id-string)] *(uint)* \[[Email](#email-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[Mobile](#mobile-string) *(string)*] \[-[Notify](#Notify) {None | Email}] \[-[Permissions](#Permissions) {PowerAdmin | RootAdmin | CustomAdmin}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASAdminAccount \[-[InputObject](#inputobject)] *(*[*AdminAccount*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/adminaccount.md)*)* \[[Email](#email-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[Mobile](#mobile-string) *(string)*] \[-[Notify](#Notify) {None | Email}] \[-[Permissions](#Permissions) {PowerAdmin | RootAdmin | CustomAdmin}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASAdminAccount** \[\[-[Name](#name-string)] *(string)*] \[[Email](#email-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[Mobile](#mobile-string) *(string)*] \[-[Notify](#Notify) {None | Email}] \[-[Permissions](#Permissions) {PowerAdmin | RootAdmin | CustomAdmin}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies settings of a Parallels RAS administrator account.

For each setting, the cmdlet has a corresponding input parameter. To modify a setting, specify a corresponding parameter and its value.

## PARAMETERS

## Name (string)

Parallels RAS administrator user or group name.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Parallels RAS administrator account ID.

To obtain the ID, use the Get-RASAdminAccount cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([AdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/adminaccount.md))

An object representing a Parallels RAS administrator account.

To obtain the object, use the Get-RASAdminAccount command."

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Email (string)

Parallels RAS administrator email address.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Mobile (string)

Parallels RAS administrator mobile phone number.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Enable or disable the specified administrator account.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Notify ([AdminNotify](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/adminnotify.md))

Specifies a method for system notifications. Possible values are: "None", "Email".

Possible values: None, Email

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Permissions ([PermissionType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/permissiontype.md))

Type of Permission

Possible values: PowerAdmin, RootAdmin, CustomAdmin

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[AdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/adminaccount.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASAdminAccount -Name "Jane" -Enable $False

Disables the specified administrator account.

\*\*---------- EXAMPLE 2 ----------

Set-RASAdminAccount -Id 3 -Enable $False

Disables an administrator account specified by ID.

To obtain IDs of administrator accounts, use the Get-RASAdminAccount cmdlet.\
\*\*---------- EXAMPLE 3 ----------

Set-RASAdminAccount $Admin -Enable $True

Enables an administrator account specified by the $Admin variable, which is an object of type RASAdminAccount.

The object is obtained using the Get-RASAdminAccount cmdlet.\
\*\*---------- EXAMPLE 4 ----------

Get-RASAdminAccount -Id 3 | Set-RASAdminAccount -Enable $True

Enables an administrator account represented by a RASAdminAccount object obtained from the pipeline output.

## RELATED LINKS

* [New-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasadminaccount.md)
* [Get-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasadminaccount.md)
* [Remove-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasadminaccount.md)
* [Get-RASCustomPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascustompermission.md)
* [Set-RASCustomPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascustompermission.md)
* [Get-RASPowerPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspowerpermission.md)
* [Set-RASPowerPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspowerpermission.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasadminaccount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
